#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int32_t n, x;

    cin >> n >> x;

    int32_t a_curr, a_min = x, a_max = x;

    for(int32_t i = 0; i < n; i++){
        cin >> a_curr;

        a_min = min(a_min, a_curr);
        a_max = max(a_max, a_curr);
    }

    if(n == 1){
        cout << abs(a_curr - x) << "\n";
    }

    cout << 2 * min(abs(a_min - x), abs(a_max - x)) + max(abs(a_min - x), abs(a_max - x)) << "\n";
}